#!/bin/bash

TESTUSERPASS=sdfhuiaghuig
OU=ts

if [ -z "$(univention-ldapsearch -LLL ou=$OU)" ]
then
    echo "Creating OU $OU"
    /usr/share/ucs-school-import/scripts/create_ou "$OU"
fi

eval "$(ucr shell)"

for id in {1..500}
do
  echo "creating user lehrer$id"
  udm users/user create --position="cn=lehrer,cn=users,ou=$OU,$ldap_base" \
    --set username="lehrer$id" \
    --append groups="cn=lehrer-$OU,cn=groups,ou=$OU,$ldap_base" \
    --append groups="cn=Domain Users $OU,cn=groups,ou=$OU,$ldap_base" \
    --set primaryGroup="cn=Domain Users $OU,cn=groups,ou=$OU,$ldap_base" \
    --set description="Meier Test User" \
    --set displayName="meier" \
    --set lastname=meier \
    --set password=$TESTUSERPASS \
    --append school=$OU \
    --append ucsschoolRole=teacher:school:$OU \
    --append-option=ucsschoolTeacher
done
